Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class JBossUserGroupCallbackImpl

    java.lang.Object
      org.jbpm.services.task.identity.JBossUserGroupCallbackImpl

All Implemented Interfaces:
  org.kie.internal.task.api.UserGroupCallback

    @Alternative
    public class JBossUserGroupCallbackImpl

extends Object
implements org.kie.internal.task.api.UserGroupCallback

Constructor Summary
`JBossUserGroupCallbackImpl()`
`JBossUserGroupCallbackImpl(Properties userGroups)`
`JBossUserGroupCallbackImpl(String location)`

Method Summary
`boolean` | `existsGroup(String groupId)`
`boolean` | `existsUser(String userId)`
`List<String>` | `getGroupsForUser(String userId, List<String> groupIds, List<String> allExistingGroupIds)`
`protected void` | `init(Properties userGroups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossUserGroupCallbackImpl

    public JBossUserGroupCallbackImpl()

### JBossUserGroupCallbackImpl

    public JBossUserGroupCallbackImpl(String location)

### JBossUserGroupCallbackImpl

    public JBossUserGroupCallbackImpl(Properties userGroups)

Method Detail

### init

    protected void init(Properties userGroups)

### existsUser

    public boolean existsUser(String userId)

  Specified by:
    `existsUser` in interface `org.kie.internal.task.api.UserGroupCallback`

### existsGroup

    public boolean existsGroup(String groupId)

  Specified by:
    `existsGroup` in interface `org.kie.internal.task.api.UserGroupCallback`

### getGroupsForUser

    public List<String> getGroupsForUser(String userId,
                                         List<String> groupIds,
                                         List<String> allExistingGroupIds)

  Specified by:
    `getGroupsForUser` in interface `org.kie.internal.task.api.UserGroupCallback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.